// TotalOrders.cs  Gets the number of order records from 1996
//   compile with: 
// csc TotalOrders.cs

using System;
using System.Data.SqlClient;

public class TotalOrders
{
  public static void Main() 
  {
    string connectionString = "Data Source=localhost;" +
                   "Initial Catalog=Northwind;Integrated Security=SSPI";
    string SQL = "SELECT COUNT(*) FROM Orders WHERE OrderDate >= '1996-01-01' AND OrderDate < '1997-01-01'";


    // Create ADO.NET objects.
    SqlConnection con = new SqlConnection(connectionString);
    SqlCommand com = new SqlCommand(SQL, con);

    // Execute the command.
    con.Open();
    int result = (int)com.ExecuteScalar();
    con.Close();

    // Display the result of the operation.
    Console.WriteLine(result.ToString() + " rows in 1996");
  }
}
