DataSet ds = new DataSet();
// create a table with a single column
DataTable dt = ds.Tables.Add();
dt.Columns.Add("MyColumn", typeof(System.Int32));

DataRow row;
row = dt.NewRow();
row["MyColumn"] = 1;
dt.Rows.Add(row);    // RowState = Added

ds.AcceptChanges();  // RowState = Unchanged

row["MyColumn"] = 2; // RowState = Modified
ds.AcceptChanges();  // RowState = Unchanged

row.Delete();        // RowState = Deleted
ds.AcceptChanges();  // Row is removed from the DataSet