// ----- EXAMPLE 1 ----------------------------------------

ds.AcceptChanges();




// ----- EXAMPLE 2 ----------------------------------------

ds.RejectChanges();




// ----- EXAMPLE 3 ----------------------------------------

// create a table with one column
DataTable dt = new DataTable();
dt.Columns.Add("MyColumn", typeof(System.String));

// add three rows to the table
DataRow row;

row = dt.NewRow();
row["MyColumn"] = "Item 1";
dt.Rows.Add(row);

row = dt.NewRow();
row["MyColumn"] = "Item 2";
dt.Rows.Add(row);

row = dt.NewRow();
row["MyColumn"] = "Item 3";
dt.Rows.Add(row);

dt.AcceptChanges();

// modify the rows

dt.Rows[0]["MyColumn"] = "New Item 1"; // DataRowState=Modified
dt.Rows[1].Delete();                   // DataRowState=Deleted
//dt.Rows[2]                           // DataRowState=Unchanged
dt.Rows[0].AcceptChanges();            // DataRowState=Unchanged,
// MyColumn value="New Item 1";
dt.Rows[1].RejectChanges();            // DataRowState=Unchanged,
                                       // row not deleted