// ----- EXAMPLE 1 ----------------------------------------

// create the column and set the name and data type using properties
DataColumn col = new DataColumn();
col.ColumnName = "MyTextColumn";
col.DataType = typeof(System.String);

// the code below is identical to the above three lines
DataColumn col = new DataColumn("MyTextColumn", typeof(System.String));

// set the maximum length in characters of the new column
col.MaxLength = 50;




// ----- EXAMPLE 2 ----------------------------------------

// create another column
DataColumn col = new DataColumn("Id", typeof(System.Int32));
col.AllowDBNull = false; // the column doesn't allow null values
col.DefaultValue = -1;   // set the default value
col.Caption = "ID #";    // column title used by certain bound controls
col.Unique = true;       // the column value is each row must be unique
col.ReadOnly = true;     // the column value cannot be changed once the
                         // the row is added to a table