// ----- EXAMPLE 1 ----------------------------------------

// strongly typed DataSet called Northwind containing the Orders table
Northwind.OrdersDataTable ordersTable = new Northwind.OrdersDataTable();

// ... code to add new rows to, or Fill the Orders table

// modify the employee ID for the first Order
Northwind.OrdersRow ordersRow = ordersTable[0];
ordersRow.EmployeeID = 2;




// ----- EXAMPLE 2 ----------------------------------------

// untyped DataSet containing the Orders table
DataSet ds = new DataSet("Northwind");
DataTable ordersTable = ds.Tables.Add("Orders");

// ... code to define or retrieve the schema for the Orders table
// ... code to add new rows to, or Fill the Orders table
// modify the employee ID for the first Order
DataRow ordersRow = ordersTable.Rows[0];
ordersRow["EmployeeID"] = 2;