// ----- EXAMPLE 1 ----------------------------------------

// strongly typed DataSet called Northwind containing the Orders table
Northwind.Order_DetailsDataTable table =
     new Northwind.Order_DetailsDataTable();

// ... code to add new rows to, or Fill the Orders table

// locate the row based on its primary key value
Northwind.Order_DetailsRow orderDetailsRow
    = table.FindByOrderIDProductID(10248, 11);
if(orderDetailsRow != null)
{
     // ... code to process the row
}




// ----- EXAMPLE 2 ----------------------------------------

// untyped DataSet containing the Orders table
DataSet ds = new DataSet("Northwind");
DataTable ordersTable = ds.Tables.Add("Orders");

// ... code to define or retrieve the schema for the DataTable
// ... code to add new rows to, or Fill the Orders table

// locate the row based on its primary key value
DataRow orderDetailsRow = ordersTable.Find(new Object[] {10248, 11});
if(orderDetailsRow != null)
{
     // ... code to process the row
}