// ----- EXAMPLE 15.4 -------------------------------------

SqlDataAdapter daOrders;
SqlDataAdapter daOrderDetails;

// setup data adapters, and the SelectCommand and UpdateCommands for the
// parent Orders table and the child Order Details table

// load the data for parent and child tables into the DataSet
DataSet ds = new DataSet();
daOrders.Fill(ds, "Orders");
daOrderDetails.Fill(ds, "Order Details");

// ... code to modify the data in the DataSet

// update the modified data in the DataSet back to the data source
daOrderDetails.Update(ds.Tables["Order Details"].Select(null, null,
    DataViewRowState.Deleted));
daOrders.Update(ds.Tables["Orders"].Select(null, null,
    DataViewRowState.Deleted));
daOrders.Update(ds.Tables["Orders"].Select(null, null,
    DataViewRowState.ModifiedCurrent));
daOrders.Update(ds.Tables["Orders"].Select(null, null,
    DataViewRowState.Added));
daOrderDetails.Update(ds.Tables["Order Details"].Select(null, null,
    DataViewRowState.ModifiedCurrent));
daOrderDetails.Update(ds.Tables["Order Details"].Select(null, null,
    DataViewRowState.Added));