// create a table with a single column
DataTable dt = new DataTable();
dt.Columns.Add("MyColumn", typeof(System.Int32));

DataRow row;
row = dt.NewRow();
row["MyColumn"] = 1;
dt.Rows.Add(row);    // RowState = Added

dt.AcceptChanges();  // RowState = Unchanged

row["MyColumn"] = 2; // RowState = Modified
dt.AcceptChanges();  // RowState = Unchanged

row.Delete();        // RowState = Deleted
dt.AcceptChanges();  // Row is removed from the DataTable