// create a table with two columns
DataTable dt = new DataTable();
DataColumn colId = new DataColumn("ProductId", typeof(System.Int32));
DataColumn colDesc = new DataColumn("Description", typeof(System.String));
dt.Columns.AddRange(new DataColumn[] {colId, colDesc});

// add a row using ItemArray
object[] rowArray = new object[] {1, "Widget"};
DataRow row = dt.NewRow();
row.ItemArray = rowArray;
dt.Rows.Add(row);

// get the data for the row using the ItemArray property
object[] row = dt.Rows[0].ItemArray;