// ----- EXAMPLE 1 ----------------------------------------

// delete the first row from the table
DataRow row = dt.Rows[0];
row.Delete();         // RowState changed to Deleted
dt.AcceptChanges();   // row is removed from the DataTable




// ----- EXAMPLE 2 ----------------------------------------

// delete the first row from the table
DataRow row = dt.Rows[0];
row.Delete();         // RowState changed to Deleted
dt.RejectChanges();   // RowState reverts to Unchanged




// ----- EXAMPLE 3 ----------------------------------------

// Create a new row
row = dt.NewRow();

// ... code to set the data for the row

// add the row to the table
dt.Rows.Add(row); // RowState is Added

// delete the newly added row
row.Delete(); // row is removed from the table