// create a table with a single column
DataTable dt = new DataTable();
dt.Columns.Add("MyColumn", typeof(System.Int32));

DataRow row;
row = dt.NewRow();
row["MyColumn"] = 1;
dt.Rows.Add(row);    // RowState = Added

row.AcceptChanges(); // RowState = Unchanged

row["MyColumn"] = 2; // RowState = Modified
row.RejectChanges(); // RowState = Unchanged, row["MyColumn"] = 1

row.Delete();        // RowState = Deleted
row.RejectChanges(); // RowState = Unchanged
                     // The row isnt removed from the DataTable.